package com.ruoyi.qdtl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 电动车里程统计（每日）对象 tl_electric_car_mileage
 * 
 * @author ruoyi
 * @date 2022-07-04
 */
public class TlElectricCarMileage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 设备IMEI */
    @Excel(name = "设备IMEI")
    private String imei;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 日期 */
    @Excel(name = "日期")
    private String days;

    /** 里程数 */
    @Excel(name = "里程数")
    private String mileage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setImei(String imei) 
    {
        this.imei = imei;
    }

    public String getImei() 
    {
        return imei;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setDays(String days) 
    {
        this.days = days;
    }

    public String getDays() 
    {
        return days;
    }
    public void setMileage(String mileage) 
    {
        this.mileage = mileage;
    }

    public String getMileage() 
    {
        return mileage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imei", getImei())
            .append("deviceName", getDeviceName())
            .append("days", getDays())
            .append("mileage", getMileage())
            .toString();
    }
}
