package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 巡检计划管理对象 tl_inspection_plan
 *
 * @author ruoyi
 * @date 2022-03-03
 */
public class TlInspectionPlan extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String planCode;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String planName;

    /**
     * 类型
     */
    @Excel(name = "类型")
    private String planType;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    private String endDate;

    /**
     * 星期
     */
    private String weeks;

    /**
     * 时间段
     */
    private String timeUnit;

    /**
     * 巡检次数
     */
    private int xunNum;

    /**
     * 线路id
     */
    @Excel(name = "线路id")
    private Long lineId;

    /**
     * 计划分数
     */
    @Excel(name = "计划分数")
    private String score;

    // 计划状态。1-计划中、2-计划暂停、3-计划删除
    private String status;

    private List<TlInspectionPlanUser> planUsers;

    private String planUser;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPlanCode(String planCode) {
        this.planCode = planCode;
    }

    public String getPlanCode() {
        return planCode;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }

    public String getPlanType() {
        return planType;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setLineId(Long lineId) {
        this.lineId = lineId;
    }

    public Long getLineId() {
        return lineId;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getScore() {
        return score;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("planCode", getPlanCode())
                .append("planName", getPlanName())
                .append("planType", getPlanType())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("lineId", getLineId())
                .append("score", getScore())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

    public List<TlInspectionPlanUser> getPlanUsers() {
        return planUsers;
    }

    public void setPlanUsers(List<TlInspectionPlanUser> planUsers) {
        this.planUsers = planUsers;
    }

    public String getPlanUser() {
        return planUser;
    }

    public void setPlanUser(String planUser) {
        this.planUser = planUser;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getWeeks() {
        return weeks;
    }

    public void setWeeks(String weeks) {
        this.weeks = weeks;
    }

    public String getTimeUnit() {
        return timeUnit;
    }

    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    public int getXunNum() {
        return xunNum;
    }

    public void setXunNum(int xunNum) {
        this.xunNum = xunNum;
    }
}
