package com.ruoyi.qdtl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应急预案管理对象 tl_plan
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
public class TlPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 预案编号 */
    @Excel(name = "预案编号")
    private String planNo;

    /** 预案名称 */
    @Excel(name = "预案名称")
    private String planName;

    /** 预案类型 */
    @Excel(name = "预案类型")
    private String planType;

    /** 预案状态。0-禁用；1-启用 */
    @Excel(name = "预案状态。0-禁用；1-启用")
    private String status;

    /** 主要负责人 */
    @Excel(name = "主要负责人")
    private String majorUser;

    /** 相关负责人 */
    @Excel(name = "相关负责人")
    private String minorUser;

    /** 相关附件 */
    @Excel(name = "相关附件")
    private String files;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlanNo(String planNo) 
    {
        this.planNo = planNo;
    }

    public String getPlanNo() 
    {
        return planNo;
    }
    public void setPlanName(String planName) 
    {
        this.planName = planName;
    }

    public String getPlanName() 
    {
        return planName;
    }
    public void setPlanType(String planType) 
    {
        this.planType = planType;
    }

    public String getPlanType() 
    {
        return planType;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setMajorUser(String majorUser) 
    {
        this.majorUser = majorUser;
    }

    public String getMajorUser() 
    {
        return majorUser;
    }
    public void setMinorUser(String minorUser) 
    {
        this.minorUser = minorUser;
    }

    public String getMinorUser() 
    {
        return minorUser;
    }
    public void setFiles(String files) 
    {
        this.files = files;
    }

    public String getFiles() 
    {
        return files;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planNo", getPlanNo())
            .append("planName", getPlanName())
            .append("planType", getPlanType())
            .append("status", getStatus())
            .append("majorUser", getMajorUser())
            .append("minorUser", getMinorUser())
            .append("files", getFiles())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
