package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 巡检计划记录对象 tl_plan_record
 *
 * @author ruoyi
 * @date 2022-03-30
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TlPlanRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 计划id
     */
    @Excel(name = "计划id")
    private Long planId;

    /**
     * 计划日期
     */
    @Excel(name = "计划日期")
    private String planDate;

    private String startTime;
    private String endTime;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String planName;

    /**
     * 人员姓名
     */
    @Excel(name = "人员姓名")
    private String nickName;

    /**
     * 设备卡号
     */
    @Excel(name = "设备卡号")
    private String card;

    /**
     * 巡检点卡号
     */
    @Excel(name = "巡检点卡号")
    private String checkpointCard;

    /**
     * 巡检器卡号
     */
    @Excel(name = "巡检器卡号")
    private String deviceCode;

    /**
     * 经纬度
     */
    @Excel(name = "经纬度")
    private String fence;

    /**
     * 计划分数
     */
    @Excel(name = "计划分数")
    private String score;

    private Long lineId;

    private String lineName;

    private Long areaId;

}
