package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 工作面貌图片管理对象 tl_work_pic
 *
 * @author ruoyi
 * @date 2022-08-09
 */
public class TlWorkPic extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 图片名称
     */
    @Excel(name = "图片名称")
    private String picName;

    /**
     * 图片地址
     */
    @Excel(name = "图片地址")
    private String picUrl;

    private Integer sortNo;

    /**
     * 状态。1-展示。0-不展示
     */
    @Excel(name = "状态。1-展示。0-不展示")
    private String status;

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPicName(String picName) {
        this.picName = picName;
    }

    public String getPicName() {
        return picName;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("picName", getPicName())
                .append("picUrl", getPicUrl())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
