package com.ruoyi.qdtl.mapper;

import java.util.List;
import com.ruoyi.qdtl.domain.TlIncident;

/**
 * 巡检事件管理Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
public interface TlIncidentMapper 
{
    /**
     * 查询巡检事件管理
     * 
     * @param id 巡检事件管理主键
     * @return 巡检事件管理
     */
    public TlIncident selectTlIncidentById(Long id);

    /**
     * 查询巡检事件管理列表
     * 
     * @param tlIncident 巡检事件管理
     * @return 巡检事件管理集合
     */
    public List<TlIncident> selectTlIncidentList(TlIncident tlIncident);

    /**
     * 新增巡检事件管理
     * 
     * @param tlIncident 巡检事件管理
     * @return 结果
     */
    public int insertTlIncident(TlIncident tlIncident);

    /**
     * 修改巡检事件管理
     * 
     * @param tlIncident 巡检事件管理
     * @return 结果
     */
    public int updateTlIncident(TlIncident tlIncident);

    /**
     * 删除巡检事件管理
     * 
     * @param id 巡检事件管理主键
     * @return 结果
     */
    public int deleteTlIncidentById(Long id);

    /**
     * 批量删除巡检事件管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlIncidentByIds(Long[] ids);
}
