package com.ruoyi.qdtl.service;

import cn.hutool.json.JSONArray;
import com.ruoyi.qdtl.domain.TlElectricDevice;
import com.ruoyi.qdtl.domain.TlElectricDeviceLocation;

import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/3/7
 * @Version V1.0
 */
public interface IQdCommonService {

    String getXunToken();

    JSONArray getDevice();

    JSONArray getCheckpointLog(long startTime, long endTime);

    JSONArray getCheckpoint();

    JSONArray getPatrolman();

    JSONArray getTrail(long startTime, long endTime, String deviceId);

    int getVersion(String key);

    String getElectricCarsToken();

    List<TlElectricDevice> getElectricCarsDeviceList();

    List<TlElectricDeviceLocation> getElectricCarsDeviceLocationList();

    Map<String, Object> monthStatic(Long areaId, String startDate, String endDate);
}
