package com.ruoyi.qdtl.service;

import java.util.List;
import com.ruoyi.qdtl.domain.TlIncidentFault;

/**
 * 应急故障事件管理Service接口
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
public interface ITlIncidentFaultService 
{
    /**
     * 查询应急故障事件管理
     * 
     * @param id 应急故障事件管理主键
     * @return 应急故障事件管理
     */
    public TlIncidentFault selectTlIncidentFaultById(Long id);

    /**
     * 查询应急故障事件管理列表
     * 
     * @param tlIncidentFault 应急故障事件管理
     * @return 应急故障事件管理集合
     */
    public List<TlIncidentFault> selectTlIncidentFaultList(TlIncidentFault tlIncidentFault);

    /**
     * 新增应急故障事件管理
     * 
     * @param tlIncidentFault 应急故障事件管理
     * @return 结果
     */
    public int insertTlIncidentFault(TlIncidentFault tlIncidentFault);

    /**
     * 修改应急故障事件管理
     * 
     * @param tlIncidentFault 应急故障事件管理
     * @return 结果
     */
    public int updateTlIncidentFault(TlIncidentFault tlIncidentFault);

    /**
     * 批量删除应急故障事件管理
     * 
     * @param ids 需要删除的应急故障事件管理主键集合
     * @return 结果
     */
    public int deleteTlIncidentFaultByIds(Long[] ids);

    /**
     * 删除应急故障事件管理信息
     * 
     * @param id 应急故障事件管理主键
     * @return 结果
     */
    public int deleteTlIncidentFaultById(Long id);
}
