package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlWorkPic;

import java.util.List;

/**
 * 工作面貌图片管理Service接口
 *
 * @author ruoyi
 * @date 2022-08-09
 */
public interface ITlWorkPicService {
    /**
     * 查询工作面貌图片管理
     *
     * @param id 工作面貌图片管理主键
     * @return 工作面貌图片管理
     */
    public TlWorkPic selectTlWorkPicById(Long id);

    /**
     * 查询工作面貌图片管理列表
     *
     * @param tlWorkPic 工作面貌图片管理
     * @return 工作面貌图片管理集合
     */
    public List<TlWorkPic> selectTlWorkPicList(TlWorkPic tlWorkPic);

    /**
     * 新增工作面貌图片管理
     *
     * @param tlWorkPic 工作面貌图片管理
     * @return 结果
     */
    public int insertTlWorkPic(TlWorkPic tlWorkPic);

    /**
     * 修改工作面貌图片管理
     *
     * @param tlWorkPic 工作面貌图片管理
     * @return 结果
     */
    public int updateTlWorkPic(TlWorkPic tlWorkPic);

    /**
     * 批量删除工作面貌图片管理
     *
     * @param ids 需要删除的工作面貌图片管理主键集合
     * @return 结果
     */
    public int deleteTlWorkPicByIds(Long[] ids);

    /**
     * 删除工作面貌图片管理信息
     *
     * @param id 工作面貌图片管理主键
     * @return 结果
     */
    public int deleteTlWorkPicById(Long id);

    int changeSortNo(Long idOne, Long idTwo);
}
