package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

/**
 * 电动车定位设备轨迹对象 tl_electric_device_location
 *
 * @author ruoyi
 * @date 2022-06-03
 */
@Data
public class ElectricDeviceLocationRecord {

    /**
     * 设备IMEI
     */
    @Excel(name = "设备IMEI")
    private String imei;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 经度 (如果设备过期，值为0)
     */
    @Excel(name = "经度")
    private String lng;

    /**
     * 纬度 (如果设备过期，值为0)
     */
    @Excel(name = "纬度")
    private String lat;

    /**
     * GPS定位时间
     */
    @Excel(name = "GPS定位时间")
    private String gpsTime;

    /**
     * 里程统计
     */
    @Excel(name = "累计里程（KM）")
    private String mileage;

    @Excel(name = "当日里程（KM）")
    private String dayMileage;

}
