package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 区域管理对象 tl_area
 *
 * @author ruoyi
 * @date 2022-02-21
 */
public class TlArea extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 父id
     */
    private Long parentId;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String areaName;

    /**
     * 区域类型
     */
    @Excel(name = "区域类型")
    private String areaType;

    /**
     * 区域描述
     */
    @Excel(name = "区域描述")
    private String detail;

    /**
     * 电子围栏
     */
    private String fence;

    /**
     * 经纬度
     */
    private String lnglat;

    private Integer deviceCount;

    private Integer locationCount;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getDetail() {
        return detail;
    }

    public void setFence(String fence) {
        this.fence = fence;
    }

    public String getFence() {
        return fence;
    }

    public void setLnglat(String lnglat) {
        this.lnglat = lnglat;
    }

    public String getLnglat() {
        return lnglat;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentId", getParentId())
                .append("areaName", getAreaName())
                .append("areaType", getAreaType())
                .append("detail", getDetail())
                .append("remark", getRemark())
                .append("fence", getFence())
                .append("lnglat", getLnglat())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

    public Integer getDeviceCount() {
        return deviceCount;
    }

    public void setDeviceCount(Integer deviceCount) {
        this.deviceCount = deviceCount;
    }

    public Integer getLocationCount() {
        return locationCount;
    }

    public void setLocationCount(Integer locationCount) {
        this.locationCount = locationCount;
    }
}
