package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 公文管理对象 tl_document
 *
 * @author ruoyi
 * @date 2022-05-06
 */
public class TlDocument extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 文头
     */
    @Excel(name = "文头")
    private String wenTou;

    /**
     * 标题
     */
    @Excel(name = "标题")
    private String title;

    /**
     * 期数
     */
    @Excel(name = "期数")
    private String periods;

    /**
     * 副标题
     */
    @Excel(name = "副标题")
    private String secondTitle;

    /**
     * 发文日期
     */
    @Excel(name = "发文日期")
    private String publishDate;

    /**
     * 指挥中心动态
     */
    @Excel(name = "指挥中心动态")
    private String centerNews;

    /**
     * 区镇动态
     */
    @Excel(name = "区镇动态")
    private String areaNews;

    /**
     * 典型案例
     */
    @Excel(name = "典型案例")
    private Object basicExample;

    /**
     * 巡防统计周期起止
     */
    @Excel(name = "巡防统计周期起止")
    private String startStatistic;

    /**
     * 巡防统计周期终止
     */
    @Excel(name = "巡防统计周期终止")
    private String endStatistic;

    /**
     * 存在问题
     */
    @Excel(name = "存在问题")
    private Object question;

    /**
     * 工作建议
     */
    @Excel(name = "工作建议")
    private Object advice;

    /**
     * 附件地址
     */
    @Excel(name = "附件地址")
    private String fileUrl;

    /**
     * 报送机关
     */
    @Excel(name = "报送机关")
    private String baoSong;

    /**
     * 抄送机关
     */
    @Excel(name = "抄送机关")
    private String chaoSong;

    /**
     * 统稿人
     */
    @Excel(name = "统稿人")
    private String tongGao;

    /**
     * 审核人
     */
    @Excel(name = "审核人")
    private String shenHe;

    /**
     * 签发人
     */
    @Excel(name = "签发人")
    private String qianFa;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setWenTou(String wenTou) {
        this.wenTou = wenTou;
    }

    public String getWenTou() {
        return wenTou;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setPeriods(String periods) {
        this.periods = periods;
    }

    public String getPeriods() {
        return periods;
    }

    public void setSecondTitle(String secondTitle) {
        this.secondTitle = secondTitle;
    }

    public String getSecondTitle() {
        return secondTitle;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setCenterNews(String centerNews) {
        this.centerNews = centerNews;
    }

    public String getCenterNews() {
        return centerNews;
    }

    public void setAreaNews(String areaNews) {
        this.areaNews = areaNews;
    }

    public String getAreaNews() {
        return areaNews;
    }

    public void setBasicExample(Object basicExample) {
        this.basicExample = basicExample;
    }

    public Object getBasicExample() {
        return basicExample;
    }

    public void setStartStatistic(String startStatistic) {
        this.startStatistic = startStatistic;
    }

    public String getStartStatistic() {
        return startStatistic;
    }

    public void setEndStatistic(String endStatistic) {
        this.endStatistic = endStatistic;
    }

    public String getEndStatistic() {
        return endStatistic;
    }

    public void setQuestion(Object question) {
        this.question = question;
    }

    public Object getQuestion() {
        return question;
    }

    public void setAdvice(Object advice) {
        this.advice = advice;
    }

    public Object getAdvice() {
        return advice;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setBaoSong(String baoSong) {
        this.baoSong = baoSong;
    }

    public String getBaoSong() {
        return baoSong;
    }

    public void setChaoSong(String chaoSong) {
        this.chaoSong = chaoSong;
    }

    public String getChaoSong() {
        return chaoSong;
    }

    public void setTongGao(String tongGao) {
        this.tongGao = tongGao;
    }

    public String getTongGao() {
        return tongGao;
    }

    public void setShenHe(String shenHe) {
        this.shenHe = shenHe;
    }

    public String getShenHe() {
        return shenHe;
    }

    public void setQianFa(String qianFa) {
        this.qianFa = qianFa;
    }

    public String getQianFa() {
        return qianFa;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("wenTou", getWenTou())
                .append("title", getTitle())
                .append("periods", getPeriods())
                .append("secondTitle", getSecondTitle())
                .append("publishDate", getPublishDate())
                .append("centerNews", getCenterNews())
                .append("areaNews", getAreaNews())
                .append("basicExample", getBasicExample())
                .append("startStatistic", getStartStatistic())
                .append("endStatistic", getEndStatistic())
                .append("question", getQuestion())
                .append("advice", getAdvice())
                .append("fileUrl", getFileUrl())
                .append("baoSong", getBaoSong())
                .append("chaoSong", getChaoSong())
                .append("tongGao", getTongGao())
                .append("shenHe", getShenHe())
                .append("qianFa", getQianFa())
                .append("createTime", getCreateTime())
                .toString();
    }
}
