package com.ruoyi.qdtl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检线路点位对象 tl_inspection_line_location
 * 
 * @author ruoyi
 * @date 2022-03-03
 */
public class TlInspectionLineLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 线路id */
    @Excel(name = "线路id")
    private Long lineId;

    /** 巡检点id */
    @Excel(name = "巡检点id")
    private Long locationId;

    /** 顺序编号 */
    @Excel(name = "顺序编号")
    private Long sortNo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLineId(Long lineId) 
    {
        this.lineId = lineId;
    }

    public Long getLineId() 
    {
        return lineId;
    }
    public void setLocationId(Long locationId) 
    {
        this.locationId = locationId;
    }

    public Long getLocationId() 
    {
        return locationId;
    }
    public void setSortNo(Long sortNo) 
    {
        this.sortNo = sortNo;
    }

    public Long getSortNo() 
    {
        return sortNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("lineId", getLineId())
            .append("locationId", getLocationId())
            .append("sortNo", getSortNo())
            .toString();
    }
}
