package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;
import java.util.Set;

/**
 * 巡检点管理对象 tl_inspection_location
 *
 * @author ruoyi
 * @date 2022-02-22
 */
public class TlInspectionLocation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    private Long locationId;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String locationCode;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String locationName;

    /**
     * 描述
     */
    @Excel(name = "描述")
    private String detail;

    /**
     * 巡检设备
     */
    @Excel(name = "巡检设备")
    private String deviceIds;

    private List<TlInspectionDevice> deviceNames;

    private String deviceNamesText;

    /**
     * 所属区域
     */
    @Excel(name = "所属区域")
    private Long areaId;

    private Set<String> areaIds;

    private String areaName;

    /**
     * 经纬度
     */
    private String lnglat;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    private Integer sortNo;

    private Long lineId;

    private Integer version;

    private String thirdId;

    private String pic;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationName() {
        return locationName;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getDetail() {
        return detail;
    }

    public void setDeviceIds(String deviceIds) {
        this.deviceIds = deviceIds;
    }

    public String getDeviceIds() {
        return deviceIds;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setLnglat(String lnglat) {
        this.lnglat = lnglat;
    }

    public String getLnglat() {
        return lnglat;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("locationCode", getLocationCode())
                .append("locationName", getLocationName())
                .append("detail", getDetail())
                .append("deviceIds", getDeviceIds())
                .append("areaId", getAreaId())
                .append("lnglat", getLnglat())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

    public List<TlInspectionDevice> getDeviceNames() {
        return deviceNames;
    }

    public void setDeviceNames(List<TlInspectionDevice> deviceNames) {
        this.deviceNames = deviceNames;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    public Long getLineId() {
        return lineId;
    }

    public void setLineId(Long lineId) {
        this.lineId = lineId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getThirdId() {
        return thirdId;
    }

    public void setThirdId(String thirdId) {
        this.thirdId = thirdId;
    }

    public Long getLocationId() {
        return locationId;
    }

    public void setLocationId(Long locationId) {
        this.locationId = locationId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getDeviceNamesText() {
        return deviceNamesText;
    }

    public void setDeviceNamesText(String deviceNamesText) {
        this.deviceNamesText = deviceNamesText;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Set<String> getAreaIds() {
        return areaIds;
    }

    public void setAreaIds(Set<String> areaIds) {
        this.areaIds = areaIds;
    }
}
