package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 巡检员对象 tl_patrolman
 *
 * @author ruoyi
 * @date 2022-03-25
 */
public class TlPatrolman extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 巡检员姓名
     */
    @Excel(name = "巡检员姓名")
    private String name;

    /**
     * 巡检员卡号
     */
    @Excel(name = "巡检员卡号")
    private String card;

    /**
     * 组织id
     */
    @Excel(name = "组织id")
    private String areaId;

    /**
     * 组织名称
     */
    @Excel(name = "组织名称")
    private String areaName;

    /**
     * 第三方id
     */
    @Excel(name = "第三方id")
    private String thirdId;

    /**
     * 同步版本
     */
    @Excel(name = "同步版本")
    private Integer version;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public String getCard() {
        return card;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setThirdId(String thirdId) {
        this.thirdId = thirdId;
    }

    public String getThirdId() {
        return thirdId;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getVersion() {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("card", getCard())
                .append("areaId", getAreaId())
                .append("areaName", getAreaName())
                .append("thirdId", getThirdId())
                .append("version", getVersion())
                .toString();
    }
}
