package com.ruoyi.qdtl.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 巡检计划管理对象 tl_plan_temp
 *
 * @author ruoyi
 * @date 2022-04-21
 */
public class TlPlanTemp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private Long planId;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    private String endDate;

    /**
     * 人员id
     */
    @Excel(name = "人员id")
    private Long userId;

    /**
     * 监测点ids
     */
    @Excel(name = "监测点ids")
    private String locationIds;

    /**
     * 星期
     */
    @Excel(name = "星期")
    private String weeks;

    /**
     * 时间段
     */
    @Excel(name = "时间段")
    private String timeUnit;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setLocationIds(String locationIds) {
        this.locationIds = locationIds;
    }

    public String getLocationIds() {
        return locationIds;
    }

    public void setWeeks(String weeks) {
        this.weeks = weeks;
    }

    public String getWeeks() {
        return weeks;
    }

    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    public String getTimeUnit() {
        return timeUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("planId", getPlanId())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("userId", getUserId())
                .append("locationIds", getLocationIds())
                .append("createTime", getCreateTime())
                .append("weeks", getWeeks())
                .append("timeUnit", getTimeUnit())
                .toString();
    }
}
