package com.ruoyi.qdtl.mapper;

import java.util.List;
import com.ruoyi.qdtl.domain.TlMonitor;

/**
 * 监控设备管理Mapper接口
 * 
 * @author ruoyi
 * @date 2022-03-02
 */
public interface TlMonitorMapper 
{
    /**
     * 查询监控设备管理
     * 
     * @param id 监控设备管理主键
     * @return 监控设备管理
     */
    public TlMonitor selectTlMonitorById(Long id);

    /**
     * 查询监控设备管理列表
     * 
     * @param tlMonitor 监控设备管理
     * @return 监控设备管理集合
     */
    public List<TlMonitor> selectTlMonitorList(TlMonitor tlMonitor);

    /**
     * 新增监控设备管理
     * 
     * @param tlMonitor 监控设备管理
     * @return 结果
     */
    public int insertTlMonitor(TlMonitor tlMonitor);

    /**
     * 修改监控设备管理
     * 
     * @param tlMonitor 监控设备管理
     * @return 结果
     */
    public int updateTlMonitor(TlMonitor tlMonitor);

    /**
     * 删除监控设备管理
     * 
     * @param id 监控设备管理主键
     * @return 结果
     */
    public int deleteTlMonitorById(Long id);

    /**
     * 批量删除监控设备管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlMonitorByIds(Long[] ids);
}
