package com.ruoyi.qdtl.mapper;

import java.util.List;
import com.ruoyi.qdtl.domain.TlPlanTemp;

/**
 * 巡检计划管理Mapper接口
 * 
 * @author ruoyi
 * @date 2022-04-21
 */
public interface TlPlanTempMapper 
{
    /**
     * 查询巡检计划管理
     * 
     * @param id 巡检计划管理主键
     * @return 巡检计划管理
     */
    public TlPlanTemp selectTlPlanTempById(Long id);

    /**
     * 查询巡检计划管理列表
     * 
     * @param tlPlanTemp 巡检计划管理
     * @return 巡检计划管理集合
     */
    public List<TlPlanTemp> selectTlPlanTempList(TlPlanTemp tlPlanTemp);

    /**
     * 新增巡检计划管理
     * 
     * @param tlPlanTemp 巡检计划管理
     * @return 结果
     */
    public int insertTlPlanTemp(TlPlanTemp tlPlanTemp);

    /**
     * 修改巡检计划管理
     * 
     * @param tlPlanTemp 巡检计划管理
     * @return 结果
     */
    public int updateTlPlanTemp(TlPlanTemp tlPlanTemp);

    /**
     * 删除巡检计划管理
     * 
     * @param id 巡检计划管理主键
     * @return 结果
     */
    public int deleteTlPlanTempById(Long id);

    /**
     * 批量删除巡检计划管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlPlanTempByIds(Long[] ids);
}
